

exports.up = (knex) => knex.raw(`
  CREATE TABLE users
  (
    id BIGINT NOT NULL
      PRIMARY KEY DEFAULT get_id(),
    google_id TEXT,
    wikidot_uid INTEGER
  );

  CREATE UNIQUE INDEX users_google_id_uindex
    ON users (google_id);

  CREATE UNIQUE INDEX users_wikidot_uid_uindex
    ON users (wikidot_uid);
`);

exports.down = (knex) => knex.raw(`
  DROP TABLE users;
`);
