"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const markdown_1 = __importDefault(require("./markdown"));
const preprocess_1 = __importDefault(require("./preprocess"));
const postprocess_1 = __importDefault(require("./postprocess"));
function render(meta, source = '') {
    const preprocessed = preprocess_1.default(meta, source);
    const rendered = markdown_1.default(meta, preprocessed);
    const postprocessed = postprocess_1.default(meta, rendered);
    return postprocessed;
}
exports.default = render;
//# sourceMappingURL=index.js.map