"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MainPage = void 0;
const react_1 = __importDefault(require("react"));
const react_router_dom_1 = require("react-router-dom");
exports.MainPage = () => (react_1.default.createElement("div", { className: "main-page" },
    react_1.default.createElement("div", { className: "main-page__content" },
        react_1.default.createElement("div", { className: "main-page__title" }, "SCP Foundation Russia"),
        react_1.default.createElement("div", { className: "main-page__welcome" },
            "Welcome to the public beta of SCP-RU wiki mobile version. We launch it as the first step in moving to our new platform that will replace Wikidot for our community. We've implemented most main parts of markup but there are still many places that are not working correctly. We'll deal with that problems one by one, slowly but steadily: some markup features will get support in our code and some of them will be replaced with simpler analogues. You can ",
            react_1.default.createElement("a", { href: "https://www.notion.so/SCP-Dev-Changelog-a6a572c9fd4e4df69631ed15df315ac9", target: "_blank", rel: "noopener noreferrer" }, "track our progress on Notion"),
            ", as well as ",
            react_1.default.createElement("a", { href: "https://www.notion.so/What-is-this-about-7196dca338b143ff8d24626e27cc4e7c", target: "_blank", rel: "noopener noreferrer" }, "read more about this project"),
            ".",
            react_1.default.createElement("br", null),
            react_1.default.createElement("br", null),
            react_1.default.createElement("div", { className: "main-page__special-link-block" },
                react_1.default.createElement(react_router_dom_1.Link, { to: "/random" }, "Open random page")),
            react_1.default.createElement("br", null),
            "If you're looking for connecting your wikidot account to this site, proceed to the ",
            react_1.default.createElement(react_router_dom_1.Link, { to: "/wikidot/tethering" }, "Wikidot Tethering"),
            " page."))));
//# sourceMappingURL=MainPage.js.map