"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importStar(require("react"));
const react_router_dom_1 = require("react-router-dom");
const context_1 = require("../../shared/context");
function renderSignIn(user, pathname) {
    if (user) {
        return (react_1.default.createElement("div", { className: "header__top-content header__top-content_right" },
            react_1.default.createElement("a", { className: "header__link", href: "/auth/logout" }, "Sign out")));
    }
    return (react_1.default.createElement("div", { className: "header__top-content header__top-content_right" },
        react_1.default.createElement("a", { className: "header__link", href: `/auth/google?returnPath=${encodeURIComponent(pathname)}` }, "Sign in")));
}
function renderNavigation() {
    return (react_1.default.createElement("div", { className: "header__navigation-content" },
        react_1.default.createElement("span", { className: "header__navigation-element" },
            react_1.default.createElement("a", { href: "/random", className: "header__link" }, "Random page")),
        react_1.default.createElement("span", { className: "header__navigation-element" },
            react_1.default.createElement("a", { href: "/scp-list", className: "header__link" }, "Series I")),
        react_1.default.createElement("span", { className: "header__navigation-element" },
            react_1.default.createElement("a", { href: "/scp-list-2", className: "header__link" }, "Series II")),
        react_1.default.createElement("span", { className: "header__navigation-element" },
            react_1.default.createElement("a", { href: "/scp-list-3", className: "header__link" }, "Series III")),
        react_1.default.createElement("span", { className: "header__navigation-element" },
            react_1.default.createElement("a", { href: "/scp-list-4", className: "header__link" }, "Series IV")),
        react_1.default.createElement("span", { className: "header__navigation-element" },
            react_1.default.createElement("a", { href: "/scp-list-5", className: "header__link" }, "Series V")),
        react_1.default.createElement("span", { className: "header__navigation-element" },
            react_1.default.createElement("a", { href: "/scp-list-ru", className: "header__link" }, "Series RU")),
        react_1.default.createElement("span", { className: "header__navigation-element" },
            react_1.default.createElement("a", { href: "/stories", className: "header__link" }, "Stories")),
        react_1.default.createElement("span", { className: "header__navigation-element" },
            react_1.default.createElement("a", { href: "/canon-hub", className: "header__link" }, "Canons")),
        react_1.default.createElement("span", { className: "header__navigation-element" },
            react_1.default.createElement("a", { href: "/drafts", className: "header__link" }, "Drafts"))));
}
const Header = () => {
    const ctx = react_1.useContext(context_1.AppContext);
    const location = react_router_dom_1.useLocation();
    return (react_1.default.createElement("header", { className: "header" },
        react_1.default.createElement("div", { className: "header__container" },
            react_1.default.createElement("div", { className: "header__top-content" },
                react_1.default.createElement("a", { href: "/", className: "header__link" }, "SCP Foundation")),
            renderSignIn(ctx.user, location.pathname)),
        react_1.default.createElement("div", { className: "header__navigation" }, renderNavigation())));
};
exports.default = Header;
//# sourceMappingURL=Header.js.map