"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.sdk = void 0;
const models_1 = require("../models");
const constants_1 = require("../../shared/constants");
class ServerSDK {
    constructor(wikiName) {
        this.wikiName = wikiName;
    }
    getWikidotPage(name) {
        return models_1.WikidotPage.getRenderedPage(this.wikiName, name.toLowerCase());
    }
}
exports.sdk = new ServerSDK(constants_1.WIKI_NAME);
//# sourceMappingURL=sdk.js.map