"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.db = void 0;
const objection_1 = require("objection");
const initKnex = require("knex");
const knexConfig = require('../../../knexfile'); // eslint-disable-line @typescript-eslint/no-var-requires
const knex = initKnex(Object.assign(Object.assign({}, knexConfig), objection_1.knexSnakeCaseMappers()));
exports.db = knex;
objection_1.Model.knex(knex);
var objection_2 = require("objection");
Object.defineProperty(exports, "Model", { enumerable: true, get: function () { return objection_2.Model; } });
Object.defineProperty(exports, "raw", { enumerable: true, get: function () { return objection_2.raw; } });
Object.defineProperty(exports, "ValidationError", { enumerable: true, get: function () { return objection_2.ValidationError; } });
var wikidot_user_1 = require("./wikidot-user");
Object.defineProperty(exports, "WikidotUser", { enumerable: true, get: function () { return wikidot_user_1.default; } });
var wikidot_page_1 = require("./wikidot-page");
Object.defineProperty(exports, "WikidotPage", { enumerable: true, get: function () { return wikidot_page_1.default; } });
var branch_1 = require("./branch");
Object.defineProperty(exports, "Branch", { enumerable: true, get: function () { return branch_1.default; } });
var draft_1 = require("./draft");
Object.defineProperty(exports, "Draft", { enumerable: true, get: function () { return draft_1.default; } });
var user_1 = require("./user");
Object.defineProperty(exports, "User", { enumerable: true, get: function () { return user_1.default; } });
//# sourceMappingURL=index.js.map